Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py	(revision 17839)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py	(revision 17840)
@@ -20,19 +20,19 @@
 
 ADML_UG_2_MEDICAL = """
-University opens for fresh students on Saturday, 30th September, 2023. All newly admitted students are expected to resume on that date.
+University opens for fresh students on Saturday, 28th September, 2024. All newly admitted students are expected to resume on that date.
 
-Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Tuesday, 3rd October, 2023 - Friday, 6th October, 2023. A late registration fee of N50,000 will be charged after this date. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
+Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 30th September, 2024 - Friday, 2nd October, 2024. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
 """
 
 ADML_UG_2_PHARMACY = """
-Resumption Date: The university opens for fresh students on Saturday, 30th September, 2023. All newly admitted students are expected to resume on that date.
+Resumption Date: The university opens for fresh students on Saturday, 28th September, 2024. All newly admitted students are expected to resume on that date.
 
-Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Tuesday, 3rd October, 2023 - Friday, 6th October, 2023. A late registration fee of N50,000 will be charged after this date. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
+Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 30th September, 2024 - Friday, 2nd October, 2024. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
 """
 
 ADML_UG_2 = """
-Resumption Date: The University opens for fresh students on Saturday, 30th September, 2023. All newly admitted students are expected to resume on that date.
+Resumption Date: The University opens for fresh students on Saturday, 28th September, 2024. All newly admitted students are expected to resume on that date.
 
-Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Tuesday, 3rd October, 2023 - Friday, 6th October, 2023. A late registration fee of N50,000 will be charged after this date. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
+Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 30th September, 2024 - Friday, 2nd October, 2024. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
 """
 