Index: /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py
===================================================================
--- /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py	(revision 17854)
+++ /main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/admission_letter_ug.py	(revision 17855)
@@ -22,5 +22,5 @@
 University opens for fresh students on Saturday, 28th September, 2024. All newly admitted students are expected to resume on that date.
 
-Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 30th September, 2024 - Friday, 2nd October, 2024. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
+Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 30th September, 2024 - Friday, 4th October, 2024. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
 """
 
@@ -28,5 +28,5 @@
 Resumption Date: The university opens for fresh students on Saturday, 28th September, 2024. All newly admitted students are expected to resume on that date.
 
-Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 30th September, 2024 - Friday, 2nd October, 2024. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
+Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 30th September, 2024 - Friday, 4th October, 2024. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
 """
 
@@ -34,5 +34,5 @@
 Resumption Date: The University opens for fresh students on Saturday, 28th September, 2024. All newly admitted students are expected to resume on that date.
 
-Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 30th September, 2024 - Friday, 2nd October, 2024. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
+Registration/Orientation Programme: Orientation programme/registration for fresh students will start on Monday, 30th September, 2024 - Friday, 4th October, 2024. All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
 """
 
@@ -59,8 +59,8 @@
 
 BASIC_MEDICAL_ONLY = """
-Progression to 200 Level MBBS programmes is highly competitive and strictly based on merit/approved quota. Students who are unable to make the cut off point will have the option of joining allied courses such as BSc Nursing, BSc Anatomy, BSc Biochemistry, BSc Physiology, Bachelor of Medical Laboratory Science, including Computer Science and engineering courses at 200 Level provided they have the relevant O/L credits.
+	
 """
 
 BASIC_PHARMACY_ONLY = """
-Progression to 200 Level Pharmacy programmes is highly competitive and strictly based on merit/approved quota. Students who are unable to make the cut off point will have the option of joining allied courses such as BSc Nursing, BSc Anatomy, BSc Biochemistry, BSc Physiology, Bachelor of Medical Laboratory Science, including Computer Science and engineering courses at 200 Level provided they have the relevant O/L credits.
+
 """