Index: main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools_tpu.py
===================================================================
--- main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools_tpu.py	(revision 17864)
+++ main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools_tpu.py	(revision 17865)
@@ -27,5 +27,4 @@
     'tpu0103': ('Zone 02','Okene Metropolis','UBE/JSS Iduka, Okene'),
     'tpu0104': ('Zone 02','Okene Metropolis','UBE/JSS Inapasi, Agassa, Okene'),
-    'tpu0105': ('Zone 03','Kuroko-Inoziomi-GRA','Adavi Local Govt. Science Sec. School, Enyidudu'),
     'tpu0108': ('Zone 03','Kuroko-Inoziomi-GRA','Community Secondary School, Kuroko'),
     'tpu0120': ('Zone 04','Okengwe Ihima','Bethel Kiddies Academy, Behind Puffy\'s residence, Ohueta, ihima'),
@@ -45,5 +44,4 @@
     'tpu2043': ('Zone 04','Okengwe Ihima','Glory land international academy, behind odumson filling station, oboroke, ihima'),
     'tpu2044': ('Zone 04','Okengwe Ihima','Future-ray schools, 19 and 85 Dr Jimoh Akpoti street, lniku obeiba, ihima'),
-    'tpu2045': ('Zone 08','Ikare','Olaoluwa solid foundation nursery and primary school, Okeagbe akoko north west local government, ondo, state'),
     'tpu2046': ('Zone 01','Otite, Ogaminana, Obangede','LGEA Demonstration Nursery and Primary School, Eika-Ohizenyi Okehi, Kogi State'),
     'tpu2047': ('Zone 01','Otite, Ogaminana, Obangede','Brighter tomorrow academy, nagazi uvete'),
@@ -153,3 +151,48 @@
     'tpu2210': ('Zone 12','Itobe-Aloma','Our Lady of Mount Carmel Catholic Nursery & Primary School, Itobe, Ofu LGA, Kogi State'),
     'tpu2211': ('Zone 15','Okpella-Auchi','Divine Future Leader Academy, Awuyemi Okpella, Edo State'),
+    # Additional School 29/07/2024
+    'tpu0013': ('Zone 01','Otite, Ogaminana, Obangede','Baharul Ija-abah International Academy, opposite Dr. Anaza House, Eika Adagu'),
+    'tpu0006': ('Zone 01','Otite, Ogaminana, Obangede','Amazing Breeze International Group of Schools, Nagazi Uvete'),
+    'tpu0004': ('Zone 01','Otite, Ogaminana, Obangede','Al-Fattah International Academy: Primary  & Secondary School, Beside Dr. Anaza House, Eika Adagu'),
+    'tpu0031': ('Zone 01','Otite, Ogaminana, Obangede','Achievers secondary school, Behind E.C.S.S ogaminana'),
+    'tpu0033': ('Zone 01','Otite, Ogaminana, Obangede','Higher Ground Nursery/Primary School, Lade Street, Before Coca-Cola Depot, Ajovunu,  Nagazi Uvete'),
+    'tpu0034': ('Zone 01','Otite, Ogaminana, Obangede','Higher Ground Strong Foundation School, Ubeba Nagazi'),
+    'tpu0045': ('Zone 01','Otite, Ogaminana, Obangede','Progressive Model Academy, Beside Nagazi Hotel, Nagazi Uvete'),
+    'tpu0048': ('Zone 01','Otite, Ogaminana, Obangede','Darus Salam Academy, Eika Adagu, Behind Camp II'),
+    'tpu0058': ('Zone 01','Otite, Ogaminana, Obangede','Solid Rock Group of School, Behind The Apostolic Church, Eika Adagu'),
+    'tpu0003': ('Zone 01','Otite, Ogaminana, Obangede','Ajovunu Nursery/Primary School, Close to Coca-Cola Mini Depot, Ajovonu Quarters, nagazi Uvete'),
+    'tpu0022': ('Zone 01','Otite, Ogaminana, Obangede','Divine Destiny International School, Nagazi Uvete'),
+    'tpu0061': ('Zone 01','Otite, Ogaminana, Obangede','Triumph Academy Basic Nursery/Primary School, Nagazi-Uvete'),
+    'tpu0006': ('Zone 01','Otite, Ogaminana, Obangede','Hasbunallahu Arabic and Islamic Secondary School (HAISSO), Ogaminana'),
+    'tpu0009': ('Zone 01','Otite, Ogaminana, Obangede','Sunshine Day Care Academy, Nursery/Primary School, Behind Coca-Cola Depot, Hajiya Ladi Street, Nagazi Uvete'),
+    'tpu0064': ('Zone 01','Otite, Ogaminana, Obangede','Brilliant Group of School, Nagazi Central, Adavi LGA'),
+    'tpu0079': ('Zone 02','Okene Metropolis','Government Day Secondary School, Ahache, Okene'),
+    'tpu0081': ('Zone 02','Okene Metropolis','Government Day Secondary School, Okunchi-Ogaminana, Kogi State'),
+    'tpu0084': ('Zone 02','Okene Metropolis','Al-Hilal Islamic Model College, No 1, Beside the Stream, Opp. Etahi Bore-hole, Etahi-Okene'),
+    'tpu0083': ('Zone 02','Okene Metropolis','Destiny Kiddies Academy Nursery/Primary School, Ozuwaya, Okene'),
+    'tpu2138': ('Zone 02','Okene Metropolis','Divine International School, GRA Okene'),
+    'tpu2139': ('Zone 03','Kuroko-Inoziomi-GRA','Divine Secondary School Inoziomi, Okene'),
+    'tpu0125': ('Zone 04','Okengwe Ihima','Glorious Way Academy, Basic and Nursery/Primary School, Ozuma, Beside EMCCO, Okengwe'),
+    'tpu0126': ('Zone 06','Magongo/Ibilo','Ekpe Mixed Grammar School, Ekpe, Akoko Edo LGA, Edo State'),
+    'tpu0127': ('Zone 06','Magongo/Ibilo','Kings Group of Schools, Afekhai Street, Uffa Quarters, Igarra, Edo State'),
+    'tpu2051': ('Zone 07','Kabba Aiyetoro Gbedde','Jubilee Schools: Creche, Nursery and Primary, No. 13, Ojagun-Oka Street, Along Amala Express, Aiyegunle Quarters, Kabba'),
+    'tpu2052': ('Zone 07','Kabba Aiyetoro Gbedde','Advost Nursery/Primary School, No 56 Bolorunduro, Kabba'),
+    'tpu2053': ('Zone 07','Kabba Aiyetoro Gbedde','Ahmadiyya Secondary School, Aiyegunle-Gbede, Ijumu LGA'),
+    'tpu2097': ('Zone 07','Kabba Aiyetoro Gbedde','Christ the Redeemer faith Academy (RCCG Faith House), Aiyeteju Kabba'),
+    'tpu2098': ('Zone 07','Kabba Aiyetoro Gbedde','Glorious Destiny Academy, Ayegunle-Gbede, Ijumu LGA'),
+    'tpu0178': ('Zone 08','Ikare','Aud Pry School IV, Ekan Ikare-Akoko'),
+    'tpu0179': ('Zone 08','Ikare','Emmac Nursery/Primary School, Simerin-Oka Akoko'),
+    'tpu0189': ('Zone 09','Mopa Isanlu','AC/YE LGEA School 1, Bagido Isanlu, Yagba East LGA'),
+    'tpu2096': ('Zone 10','Iyara-Omuo','Isedo Comprehensive High School, Along Igasi Road, Omuo-oke Ekiti'),
+    'tpu2097': ('Zone 10','Iyara-Omuo','Community Grammar School, Omuo-Ekiti'),
+    'tpu2098': ('Zone 10','Iyara-Omuo','Comprehensive High School, Omuo-Ekiti'),
+    'tpu2100': ('Zone 11','Lokoja','UBE/JSS Gegu-Egba, Along Lokoja-Abuja High Way, Gegu-Egba, Kogi State'),
+    'tpu2104': ('Zone 11','Lokoja','UBE/JSS Orehi, Along Lokoja-Abuja High Way, Orehi, Kogi State'),
+    'tpu2102': ('Zone 11','Lokoja','Alake Academy Nursery and Primary School, Behind Saw-Mill, Emiworo, Ajaokuta LGA, Kogi State'),
+    'tpu0197': ('Zone 11','Lokoja','Al-hikmat Science College, Beside D Division Police Station, Lokongoma, Lokoja'),
+    'tpu0205': ('Zone 11','Lokoja','Omodunni Leaders Academy, Phase 2, Beside Olu Royal Hotel, Lokongoma, Lokoja'),
+    'tpu0206': ('Zone 11','Lokoja','Al-Huda Islamic Academy, Along Obajana Way, Apa Naru, Adavi LGA, Zariagi Lokoja'),
+    'tpu0220': ('Zone 13','Anyigba Ochaja','Christian Missions in Many Lands (CMML) Secondary School, Anyigba'),
+    'tpu0221': ('Zone 13','Anyigba Ochaja','Our Lady of Schools, Anyigba'),
+    'tpu0227': ('Zone 15','Okpella-Auchi','Aliakwe Wisdom of God Academy, Iyuku Road, Jattu Uzairue, Etsako West LGA, Edo State'),
 }