Index: main/waeup.aaue/trunk/src/waeup/aaue/students/acceptancefees.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/acceptancefees.csv	(revision 17859)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/acceptancefees.csv	(revision 17878)
@@ -941,69 +941,69 @@
 PGDE,IOE,PGD,100000,,
 PGDEPT,IOE,PGD,100000,,
-IJACC,FP,IJMBE,40200,,
-IJANA,FP,IJMBE,40200,,
-IJANS,FP,IJMBE,40200,,
-IJAPHY,FP,IJMBE,40200,,
-IJARC,FP,IJMBE,40200,,
-IJBCH,FP,IJMBE,40200,,
-IJBLD,FP,IJMBE,40200,,
-IJBOT,FP,IJMBE,40200,,
-IJBUS,FP,IJMBE,40200,,
-IJCHM,FP,IJMBE,40200,,
-IJCIE,FP,IJMBE,40200,,
-IJCRS,FP,IJMBE,40200,,
-IJCSC,FP,IJMBE,40200,,
-IJECO,FP,IJMBE,40200,,
-IJEDUACC,FP,IJMBE,40200,,
-IJEDUAGR,FP,IJMBE,40200,,
-IJEDUBIO,FP,IJMBE,40200,,
-IJEDUCHM,FP,IJMBE,40200,,
-IJEDUECO,FP,IJMBE,40200,,
-IJEDUEDM,FP,IJMBE,40200,,
-IJEDUENG,FP,IJMBE,40200,,
-IJEDUFRN,FP,IJMBE,40200,,
-IJEDUGAC,FP,IJMBE,40200,,
-IJEDUGEO,FP,IJMBE,40200,,
-IJEDUHECO,FP,IJMBE,40200,,
-IJEDUHED,FP,IJMBE,40200,,
-IJEDUHIS,FP,IJMBE,40200,,
-IJEDUMTH,FP,IJMBE,40200,,
-IJEDUPHE,FP,IJMBE,40200,,
-IJEDUPHY,FP,IJMBE,40200,,
-IJEDUPOL,FP,IJMBE,40200,,
-IJEDUPPE,FP,IJMBE,40200,,
-IJEDURSE,FP,IJMBE,40200,,
-IJEDUSEC,FP,IJMBE,40200,,
-IJEDUTEC,FP,IJMBE,40200,,
-IJEES,FP,IJMBE,40200,,
-IJELE,FP,IJMBE,40200,,
-IJENG,FP,IJMBE,40200,,
-IJFAA,FP,IJMBE,40200,,
-IJGEM,FP,IJMBE,40200,,
-IJHIS,FP,IJMBE,40200,,
-IJICH,FP,IJMBE,40200,,
-IJIJF,FP,IJMBE,40200,,
-IJIMTH,FP,IJMBE,40200,,
-IJLLB,FP,IJMBE,40200,,
-IJMBBS,FP,IJMBE,40200,,
-IJMCB,FP,IJMBE,40200,,
-IJMEE,FP,IJMBE,40200,,
-IJMLS,FP,IJMBE,40200,,
-IJMPE,FP,IJMBE,40200,,
-IJMTH,FP,IJMBE,40200,,
-IJNSG,FP,IJMBE,40200,,
-IJPHI,FP,IJMBE,40200,,
-IJPHY,FP,IJMBE,40200,,
-IJPOL,FP,IJMBE,40200,,
-IJPSY,FP,IJMBE,40200,,
-IJPUB,FP,IJMBE,40200,,
-IJPYS,FP,IJMBE,40200,,
-IJRCS,FP,IJMBE,40200,,
-IJRST,FP,IJMBE,40200,,
-IJSOC,FP,IJMBE,40200,,
-IJSOS,FP,IJMBE,40200,,
-IJSTA,FP,IJMBE,40200,,
-IJTMA,FP,IJMBE,40200,,
-IJZOO,FP,IJMBE,40200,,
+IJACC,FP,IJMBE,50000,,
+IJANA,FP,IJMBE,50000,,
+IJANS,FP,IJMBE,50000,,
+IJAPHY,FP,IJMBE,50000,,
+IJARC,FP,IJMBE,50000,,
+IJBCH,FP,IJMBE,50000,,
+IJBLD,FP,IJMBE,50000,,
+IJBOT,FP,IJMBE,50000,,
+IJBUS,FP,IJMBE,50000,,
+IJCHM,FP,IJMBE,50000,,
+IJCIE,FP,IJMBE,50000,,
+IJCRS,FP,IJMBE,50000,,
+IJCSC,FP,IJMBE,50000,,
+IJECO,FP,IJMBE,50000,,
+IJEDUACC,FP,IJMBE,50000,,
+IJEDUAGR,FP,IJMBE,50000,,
+IJEDUBIO,FP,IJMBE,50000,,
+IJEDUCHM,FP,IJMBE,50000,,
+IJEDUECO,FP,IJMBE,50000,,
+IJEDUEDM,FP,IJMBE,50000,,
+IJEDUENG,FP,IJMBE,50000,,
+IJEDUFRN,FP,IJMBE,50000,,
+IJEDUGAC,FP,IJMBE,50000,,
+IJEDUGEO,FP,IJMBE,50000,,
+IJEDUHECO,FP,IJMBE,50000,,
+IJEDUHED,FP,IJMBE,50000,,
+IJEDUHIS,FP,IJMBE,50000,,
+IJEDUMTH,FP,IJMBE,50000,,
+IJEDUPHE,FP,IJMBE,50000,,
+IJEDUPHY,FP,IJMBE,50000,,
+IJEDUPOL,FP,IJMBE,50000,,
+IJEDUPPE,FP,IJMBE,50000,,
+IJEDURSE,FP,IJMBE,50000,,
+IJEDUSEC,FP,IJMBE,50000,,
+IJEDUTEC,FP,IJMBE,50000,,
+IJEES,FP,IJMBE,50000,,
+IJELE,FP,IJMBE,50000,,
+IJENG,FP,IJMBE,50000,,
+IJFAA,FP,IJMBE,50000,,
+IJGEM,FP,IJMBE,50000,,
+IJHIS,FP,IJMBE,50000,,
+IJICH,FP,IJMBE,50000,,
+IJIJF,FP,IJMBE,50000,,
+IJIMTH,FP,IJMBE,50000,,
+IJLLB,FP,IJMBE,50000,,
+IJMBBS,FP,IJMBE,50000,,
+IJMCB,FP,IJMBE,50000,,
+IJMEE,FP,IJMBE,50000,,
+IJMLS,FP,IJMBE,50000,,
+IJMPE,FP,IJMBE,50000,,
+IJMTH,FP,IJMBE,50000,,
+IJNSG,FP,IJMBE,50000,,
+IJPHI,FP,IJMBE,50000,,
+IJPHY,FP,IJMBE,50000,,
+IJPOL,FP,IJMBE,50000,,
+IJPSY,FP,IJMBE,50000,,
+IJPUB,FP,IJMBE,50000,,
+IJPYS,FP,IJMBE,50000,,
+IJRCS,FP,IJMBE,50000,,
+IJRST,FP,IJMBE,50000,,
+IJSOC,FP,IJMBE,50000,,
+IJSOS,FP,IJMBE,50000,,
+IJSTA,FP,IJMBE,50000,,
+IJTMA,FP,IJMBE,50000,,
+IJZOO,FP,IJMBE,50000,,
 BEDHECBP,FED,VTE,62400,2000,800
 BSCBLDBP,FES,BLD,62400,2000,800
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py	(revision 17859)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/utils.py	(revision 17878)
@@ -33,5 +33,5 @@
 
 SCHOOLFEES = dict()
-SFEECHANGES = (12, 13, 14, 15, 20, 21, 22, 23)
+SFEECHANGES = (12, 13, 14, 15, 20, 21, 22, 23, 24)
 
 for year in SFEECHANGES:
@@ -406,6 +406,8 @@
                 elif student.entry_session < 2023:
                     schoolfees = SCHOOLFEES[22][student.certcode]
+                elif student.entry_session < 2024:
+                    schoolfees = SCHOOLFEES[23][student.certcode]
                 else:
-                    schoolfees = SCHOOLFEES[23][student.certcode]
+                    schoolfees = SCHOOLFEES[24][student.certcode]
             except KeyError:
                 return _('School fees not yet fixed.'), None