Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/etranzact/browser.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/etranzact/browser.py	(revision 17899)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/etranzact/browser.py	(revision 17900)
@@ -298,5 +298,6 @@
         'IUO_CLEARANCE_FEE': ('grad_clearance',),
         'IUO_ID_CARD_FEE': ('id_card',),
-        'IUO_REGISTRATION_FEE': ('registration',),
+        'IUO_REGISTRATION_FEE': ('registration', 'registration_fresh',
+                                 'registration_return',),
         'IUO_DEVELOPMENT_FEE': ('develop',),
         'IUO_MUNICIPAL_FEE': ('municipal_fresh','municipal_returning'),
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/etranzact/servicecodes.csv
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/etranzact/servicecodes.csv	(revision 17899)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/etranzact/servicecodes.csv	(revision 17900)
@@ -55,4 +55,6 @@
 pharmlab,001279XBU4AW
 registration,001279GTQ3SN
+registration_fresh,001279GTQ3SN
+registration_return,001279GTQ3SN
 required_combi,
 resit1,0012798VI0I4
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interfaces.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interfaces.py	(revision 17899)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interfaces.py	(revision 17900)
@@ -49,9 +49,9 @@
         )
 
-    late_registration_fee = schema.Float(
-        title = _(u'Late Course Reg. Fee'),
-        default = 0.0,
-        required = False,
-        )
+    #late_registration_fee = schema.Float(
+    #    title = _(u'Late Course Reg. Fee'),
+    #    default = 0.0,
+    #    required = False,
+    #    )
 
     transcript_local_fee = schema.Float(
@@ -106,6 +106,18 @@
         )
 
-    registration_fee = schema.Float(
-        title = _(u'Registration Fee'),
+    #registration_fee = schema.Float(
+    #    title = _(u'Registration Fee'),
+    #    default = 0.0,
+    #    required = False,
+    #    )
+
+    registration_fresh_fee = schema.Float(
+        title = _(u'Registration Fee (Fresh)'),
+        default = 0.0,
+        required = False,
+        )
+
+    registration_return_fee = schema.Float(
+        title = _(u'Registration Fee (Returning)'),
         default = 0.0,
         required = False,
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/browser.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/browser.py	(revision 17899)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/browser.py	(revision 17900)
@@ -108,5 +108,6 @@
             self.pay_item_id = '102'
         if self.context.p_category in (
-            'registration', 'required_combi', 'pg_other', 'jupeb_reg'):
+            'registration', 'registration_fresh', 'registration_return',
+            'required_combi', 'pg_other', 'jupeb_reg'):
             provider_amt = 5000.0
         if self.context.p_category in (
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py	(revision 17899)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py	(revision 17900)
@@ -53,5 +53,5 @@
 
     def test_interswitch_form(self):
-        self.app['configuration']['2004'].registration_fee = 7000.0
+        self.app['configuration']['2004'].registration_fresh_fee = 7000.0
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
         self.browser.open(self.payments_path)
@@ -59,5 +59,5 @@
         self.student.nationality = u'NG'
         self.browser.open(self.payments_path + '/addop')
-        self.browser.getControl(name="form.p_category").value = ['registration']
+        self.browser.getControl(name="form.p_category").value = ['registration_fresh']
         self.browser.getControl(name="form.p_option").value = ['first']
         self.browser.getControl("Create payment").click()
@@ -83,5 +83,5 @@
         # WAeAC charge have been substracted
         self.assertTrue(
-            'item_name="Registration Fee" item_amt="200000" bank_id="8" acct_num="2021420049"' in
+            'item_name="Registration Fee (Fresh)" item_amt="200000" bank_id="8" acct_num="2021420049"' in
             self.browser.contents)
         self.assertTrue(
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/utils.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/utils.py	(revision 17899)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/utils.py	(revision 17900)
@@ -50,5 +50,5 @@
 
     REQUIRED_PAYMENTS_FRESH = {
-        'registration': 'Registration Fee',
+        'registration_fresh': 'Registration Fee (Fresh)',
         'book': 'Book Deposit',
         'develop': 'Development Fee',
@@ -58,5 +58,5 @@
 
     REQUIRED_PAYMENTS_RETURNING = {
-        'registration': 'Registration Fee',
+        'registration_return': 'Registration Fee (Returning)',
         'book': 'Book Deposit',
         'develop': 'Development Fee',
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py	(revision 17899)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py	(revision 17900)
@@ -34,4 +34,6 @@
         'grad_clearance': 'Clearance Fee',
         'registration': 'Registration Fee',
+        'registration_fresh': 'Registration Fee (Fresh)',
+        'registration_return': 'Registration Fee (Returning)',
         #'bed_allocation': 'Bed Allocation Fee',
         #'hostel_maintenance': 'Accommodation',
@@ -113,5 +115,7 @@
         'schoolfee40': 'Tuition Plus (40% - 1st instalment)',
         'secondinstal': 'Tuition Plus (60% - 2nd instalment)',
-        'registration': 'Registration Fee',
+        #'registration': 'Registration Fee',
+        'registration_fresh': 'Registration Fee (Fresh)',
+        'registration_return': 'Registration Fee (Returning)',
         'clearance': 'Acceptance Fee',
         'grad_clearance': 'Clearance Fee',
@@ -209,5 +213,7 @@
     PREVIOUS_PAYMENT_CATEGORIES = {
         'schoolfee': 'Tuition, Accommodation, Adm. Charges',
-        'registration': 'Registration Fee',
+        #'registration': 'Registration Fee',
+        'registration_fresh': 'Registration Fee (Fresh)',
+        'registration_return': 'Registration Fee (Returning)',
         'clearance': 'Acceptance Fee',
         'grad_clearance': 'Clearance Fee',
@@ -279,5 +285,7 @@
 
     _COMBI_PAYMENT_CATEGORIES = {
-        'registration': 'Registration Fee',
+        #'registration': 'Registration Fee',
+        'registration_fresh': 'Registration Fee (Fresh)',
+        'registration_return': 'Registration Fee (Returning)',
         'grad_clearance': 'Clearance Fee',
         'late_registration': 'Late Registration Fee',