Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_21.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_21.csv	(revision 17922)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_21.csv	(revision 17923)
@@ -245,15 +245,15 @@
 MPHDESS,FAG,EES,199000,16000,,4500,3000,,,
 MPHDFMPE,FAG,EES,199000,16000,,4500,3000,,,
-MPHILAERS,FAG,EES,199000,16000,,4500,3000,,,
-MPHILEES,FAG,EES,199000,16000,,4500,3000,,,
-MPHILSOS,FAG,SOS,199000,16000,,4500,3000,,,
-MPHDEFM,FED,EFM,199000,16000,,4500,3000,,,
-MPHEFM,FED,EFM,199000,16000,,4500,3000,,,
-MPHILEDM,FED,EFM,199000,16000,,4500,3000,,,
-MPHDLIS,FED,LIS,199000,16000,,4500,3000,,,
-MPHILHEC,FED,VTE,199000,16000,,4500,3000,,,
-MPHILTED,FED,VTE,199000,16000,,4500,3000,,,
-MPHDACC,FMS,ACC,199000,16000,,4500,3000,,,
-MPHILCHM,FPS,CHM,199000,16000,,4500,3000,,,
+MPHILAERS,FAG,EES,,,,,,,,
+MPHILEES,FAG,EES,,,,,,,,
+MPHILSOS,FAG,SOS,,,,,,,,
+MPHDEFM,FED,EFM,,,,,,,,
+MPHEFM,FED,EFM,,,,,,,,
+MPHILEDM,FED,EFM,,,,,,,,
+MPHDLIS,FED,LIS,,,,,,,,
+MPHILHEC,FED,VTE,,,,,,,,
+MPHILTED,FED,VTE,,,,,,,,
+MPHDACC,FMS,ACC,,,,,,,,
+MPHILCHM,FPS,CHM,,,,,,,,
 MPHDMTH,FPS,MTH,199000,16000,,4500,3000,,,
 MPHDGEO,FPS,PHY,199000,16000,,4500,3000,,,
@@ -941,2 +941,51 @@
 IOEDTE,IOE,IOEDTE,46200,16000,1000,4500,3000,3000,,
 IOEDPE,IOE,IOEPHE,46200,16000,1000,4500,3000,3000,,
+MPHILABG,FAG,ANS,199000,16000,,4500,3000,,,
+MPHILABGPT,FAG,ANS,199000,16000,,4500,3000,,,
+MPHILANB,FAG,ANS,199000,16000,,4500,3000,,,
+MPHILANBPT,FAG,ANS,199000,16000,,4500,3000,,,
+MPHILAPM,FAG,ANS,199000,16000,,4500,3000,,,
+MPHILAPMPT,FAG,ANS,199000,16000,,4500,3000,,,
+MPHILAPR,FAG,ANS,199000,16000,,4500,3000,,,
+MPHILAPRPT,FAG,ANS,199000,16000,,4500,3000,,,
+MPHILFST,FAG,ANS,199000,16000,,4500,3000,,,
+MPHILFSTPT,FAG,ANS,199000,16000,,4500,3000,,,
+MPHILCBG,FAG,CRS,199000,16000,,4500,3000,,,
+MPHILCBGPT,FAG,CRS,199000,16000,,4500,3000,,,
+MPHILCP,FAG,CRS,199000,16000,,4500,3000,,,
+MPHILCPPT,FAG,CRS,199000,16000,,4500,3000,,,
+MPHILCPY,FAG,CRS,199000,16000,,4500,3000,,,
+MPHILCPYPT,FAG,CRS,199000,16000,,4500,3000,,,
+MSCPHS,FBM,PHS,120000,16000,,4500,3000,,,
+MSCPHSPT,FBM,PHS,120000,16000,,4500,3000,,,
+MEDHEDPT,FED,HKH,120000,16000,,4500,3000,,,
+MEDHKE,FED,HKH,120000,16000,,4500,3000,,,
+MEDHKEPT,FED,HKH,120000,16000,,4500,3000,,,
+PHDGPEPT,FED,HKH,199000,16000,,4500,3000,,,
+PHDHEDPT,FED,HKH,199000,16000,,4500,3000,,,
+PHDHKE,FED,HKH,199000,16000,,4500,3000,,,
+PHDHKEPT,FED,HKH,199000,16000,,4500,3000,,,
+MPM,FES,BLD,120000,16000,,4500,3000,,,
+MPMPT,FES,BLD,120000,16000,,4500,3000,,,
+MPHILIPE,FET,IPE,199000,16000,,4500,3000,,,
+MPHILIPEPT,FET,IPE,199000,16000,,4500,3000,,,
+MSCPBDE,FLS,PSB,120000,16000,,4500,3000,,,
+MSCPBDEPT,FLS,PSB,120000,16000,,4500,3000,,,
+PHDPBDE,FLS,PSB,199000,16000,,4500,3000,,,
+PHDPBDEPT,FLS,PSB,199000,16000,,4500,3000,,,
+MSCCPSY,FSS,PSY,120000,16000,,4500,3000,,,
+MSCCPSYPT,FSS,PSY,120000,16000,,4500,3000,,,
+MSCIOPSY,FSS,PSY,120000,16000,,4500,3000,,,
+MSCIOPSYPT,FSS,PSY,120000,16000,,4500,3000,,,
+MSCPSYM,FSS,PSY,120000,16000,,4500,3000,,,
+MSCPSYMPT,FSS,PSY,120000,16000,,4500,3000,,,
+MSCSPSY,FSS,PSY,120000,16000,,4500,3000,,,
+MSCSPSYPT,FSS,PSY,120000,16000,,4500,3000,,,
+PHDCPSY,FSS,PSY,199000,16000,,4500,3000,,,
+PHDCPSYPT,FSS,PSY,199000,16000,,4500,3000,,,
+PHDIOPSY,FSS,PSY,199000,16000,,4500,3000,,,
+PHDIOPSYPT,FSS,PSY,199000,16000,,4500,3000,,,
+PHDPSYM,FSS,PSY,199000,16000,,4500,3000,,,
+PHDPSYMPT,FSS,PSY,199000,16000,,4500,3000,,,
+PHDSPSY,FSS,PSY,199000,16000,,4500,3000,,,
+PHDSPSYPT,FSS,PSY,199000,16000,,4500,3000,,,
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_22.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_22.csv	(revision 17922)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_22.csv	(revision 17923)
@@ -765,2 +765,51 @@
 PHDEEPT,IOE,EDU,750000,16000,,4500,3000,,,
 PHDPPPT,IOE,EDU,750000,16000,,4500,3000,,,
+MPHILABG,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILABGPT,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILANB,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILANBPT,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILAPM,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILAPMPT,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILAPR,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILAPRPT,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILFST,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILFSTPT,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILCBG,FAG,CRS,750000,16000,,4500,3000,,,
+MPHILCBGPT,FAG,CRS,750000,16000,,4500,3000,,,
+MPHILCP,FAG,CRS,750000,16000,,4500,3000,,,
+MPHILCPPT,FAG,CRS,750000,16000,,4500,3000,,,
+MPHILCPY,FAG,CRS,750000,16000,,4500,3000,,,
+MPHILCPYPT,FAG,CRS,750000,16000,,4500,3000,,,
+MSCPHS,FBM,PHS,500000,16000,,4500,3000,,,
+MSCPHSPT,FBM,PHS,500000,16000,,4500,3000,,,
+MEDHEDPT,FED,HKH,500000,16000,,4500,3000,,,
+MEDHKE,FED,HKH,500000,16000,,4500,3000,,,
+MEDHKEPT,FED,HKH,500000,16000,,4500,3000,,,
+PHDGPEPT,FED,HKH,750000,16000,,4500,3000,,,
+PHDHEDPT,FED,HKH,750000,16000,,4500,3000,,,
+PHDHKE,FED,HKH,750000,16000,,4500,3000,,,
+PHDHKEPT,FED,HKH,750000,16000,,4500,3000,,,
+MPM,FES,BLD,500000,16000,,4500,3000,,,
+MPMPT,FES,BLD,500000,16000,,4500,3000,,,
+MPHILIPE,FET,IPE,750000,16000,,4500,3000,,,
+MPHILIPEPT,FET,IPE,750000,16000,,4500,3000,,,
+MSCPBDE,FLS,PSB,500000,16000,,4500,3000,,,
+MSCPBDEPT,FLS,PSB,500000,16000,,4500,3000,,,
+PHDPBDE,FLS,PSB,750000,16000,,4500,3000,,,
+PHDPBDEPT,FLS,PSB,750000,16000,,4500,3000,,,
+MSCCPSY,FSS,PSY,500000,16000,,4500,3000,,,
+MSCCPSYPT,FSS,PSY,500000,16000,,4500,3000,,,
+MSCIOPSY,FSS,PSY,500000,16000,,4500,3000,,,
+MSCIOPSYPT,FSS,PSY,500000,16000,,4500,3000,,,
+MSCPSYM,FSS,PSY,500000,16000,,4500,3000,,,
+MSCPSYMPT,FSS,PSY,500000,16000,,4500,3000,,,
+MSCSPSY,FSS,PSY,500000,16000,,4500,3000,,,
+MSCSPSYPT,FSS,PSY,500000,16000,,4500,3000,,,
+PHDCPSY,FSS,PSY,750000,16000,,4500,3000,,,
+PHDCPSYPT,FSS,PSY,750000,16000,,4500,3000,,,
+PHDIOPSY,FSS,PSY,750000,16000,,4500,3000,,,
+PHDIOPSYPT,FSS,PSY,750000,16000,,4500,3000,,,
+PHDPSYM,FSS,PSY,750000,16000,,4500,3000,,,
+PHDPSYMPT,FSS,PSY,750000,16000,,4500,3000,,,
+PHDSPSY,FSS,PSY,750000,16000,,4500,3000,,,
+PHDSPSYPT,FSS,PSY,750000,16000,,4500,3000,,,
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_23.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_23.csv	(revision 17922)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_23.csv	(revision 17923)
@@ -938,3 +938,52 @@
 BSCSTABP,FPS,MTH,173000,16000,1000,4500,3000,3000,100_20000,
 BSCGEOBP,FPS,PHY,173000,16000,1000,4500,3000,3000,100_20000,
-BSCPHYBP,FPS,PHY,173000,16000,1000,4500,3000,3000,100_20001,
+BSCPHYBP,FPS,PHY,173000,16000,1000,4500,3000,3000,100_20000,
+MPHILABG,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILABGPT,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILANB,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILANBPT,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILAPM,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILAPMPT,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILAPR,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILAPRPT,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILFST,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILFSTPT,FAG,ANS,750000,16000,,4500,3000,,,
+MPHILCBG,FAG,CRS,750000,16000,,4500,3000,,,
+MPHILCBGPT,FAG,CRS,750000,16000,,4500,3000,,,
+MPHILCP,FAG,CRS,750000,16000,,4500,3000,,,
+MPHILCPPT,FAG,CRS,750000,16000,,4500,3000,,,
+MPHILCPY,FAG,CRS,750000,16000,,4500,3000,,,
+MPHILCPYPT,FAG,CRS,750000,16000,,4500,3000,,,
+MSCPHS,FBM,PHS,500000,16000,,4500,3000,,,
+MSCPHSPT,FBM,PHS,500000,16000,,4500,3000,,,
+MEDHEDPT,FED,HKH,500000,16000,,4500,3000,,,
+MEDHKE,FED,HKH,500000,16000,,4500,3000,,,
+MEDHKEPT,FED,HKH,500000,16000,,4500,3000,,,
+PHDGPEPT,FED,HKH,750000,16000,,4500,3000,,,
+PHDHEDPT,FED,HKH,750000,16000,,4500,3000,,,
+PHDHKE,FED,HKH,750000,16000,,4500,3000,,,
+PHDHKEPT,FED,HKH,750000,16000,,4500,3000,,,
+MPM,FES,BLD,500000,16000,,4500,3000,,,
+MPMPT,FES,BLD,500000,16000,,4500,3000,,,
+MPHILIPE,FET,IPE,750000,16000,,4500,3000,,,
+MPHILIPEPT,FET,IPE,750000,16000,,4500,3000,,,
+MSCPBDE,FLS,PSB,500000,16000,,4500,3000,,,
+MSCPBDEPT,FLS,PSB,500000,16000,,4500,3000,,,
+PHDPBDE,FLS,PSB,750000,16000,,4500,3000,,,
+PHDPBDEPT,FLS,PSB,750000,16000,,4500,3000,,,
+MSCCPSY,FSS,PSY,500000,16000,,4500,3000,,,
+MSCCPSYPT,FSS,PSY,500000,16000,,4500,3000,,,
+MSCIOPSY,FSS,PSY,500000,16000,,4500,3000,,,
+MSCIOPSYPT,FSS,PSY,500000,16000,,4500,3000,,,
+MSCPSYM,FSS,PSY,500000,16000,,4500,3000,,,
+MSCPSYMPT,FSS,PSY,500000,16000,,4500,3000,,,
+MSCSPSY,FSS,PSY,500000,16000,,4500,3000,,,
+MSCSPSYPT,FSS,PSY,500000,16000,,4500,3000,,,
+PHDCPSY,FSS,PSY,750000,16000,,4500,3000,,,
+PHDCPSYPT,FSS,PSY,750000,16000,,4500,3000,,,
+PHDIOPSY,FSS,PSY,750000,16000,,4500,3000,,,
+PHDIOPSYPT,FSS,PSY,750000,16000,,4500,3000,,,
+PHDPSYM,FSS,PSY,750000,16000,,4500,3000,,,
+PHDPSYMPT,FSS,PSY,750000,16000,,4500,3000,,,
+PHDSPSY,FSS,PSY,750000,16000,,4500,3000,,,
+PHDSPSYPT,FSS,PSY,750000,16000,,4500,3000,,,
Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_24.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_24.csv	(revision 17922)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_24.csv	(revision 17923)
@@ -939,2 +939,51 @@
 BSCGEOBP,FPS,PHY,173000,16000,1000,4500,3000,3000,100_20000,
 BSCPHYBP,FPS,PHY,173000,16000,1000,4500,3000,3000,100_20000,
+MPHILABG,FAG,ANS,,,,,,,,
+MPHILABGPT,FAG,ANS,,,,,,,,
+MPHILANB,FAG,ANS,,,,,,,,
+MPHILANBPT,FAG,ANS,,,,,,,,
+MPHILAPM,FAG,ANS,,,,,,,,
+MPHILAPMPT,FAG,ANS,,,,,,,,
+MPHILAPR,FAG,ANS,,,,,,,,
+MPHILAPRPT,FAG,ANS,,,,,,,,
+MPHILFST,FAG,ANS,,,,,,,,
+MPHILFSTPT,FAG,ANS,,,,,,,,
+MPHILCBG,FAG,CRS,,,,,,,,
+MPHILCBGPT,FAG,CRS,,,,,,,,
+MPHILCP,FAG,CRS,,,,,,,,
+MPHILCPPT,FAG,CRS,,,,,,,,
+MPHILCPY,FAG,CRS,,,,,,,,
+MPHILCPYPT,FAG,CRS,,,,,,,,
+MSCPHS,FBM,PHS,,,,,,,,
+MSCPHSPT,FBM,PHS,,,,,,,,
+MEDHEDPT,FED,HKH,,,,,,,,
+MEDHKE,FED,HKH,,,,,,,,
+MEDHKEPT,FED,HKH,,,,,,,,
+PHDGPEPT,FED,HKH,,,,,,,,
+PHDHEDPT,FED,HKH,,,,,,,,
+PHDHKE,FED,HKH,,,,,,,,
+PHDHKEPT,FED,HKH,,,,,,,,
+MPM,FES,BLD,,,,,,,,
+MPMPT,FES,BLD,,,,,,,,
+MPHILIPE,FET,IPE,,,,,,,,
+MPHILIPEPT,FET,IPE,,,,,,,,
+MSCPBDE,FLS,PSB,,,,,,,,
+MSCPBDEPT,FLS,PSB,,,,,,,,
+PHDPBDE,FLS,PSB,,,,,,,,
+PHDPBDEPT,FLS,PSB,,,,,,,,
+MSCCPSY,FSS,PSY,,,,,,,,
+MSCCPSYPT,FSS,PSY,,,,,,,,
+MSCIOPSY,FSS,PSY,,,,,,,,
+MSCIOPSYPT,FSS,PSY,,,,,,,,
+MSCPSYM,FSS,PSY,,,,,,,,
+MSCPSYMPT,FSS,PSY,,,,,,,,
+MSCSPSY,FSS,PSY,,,,,,,,
+MSCSPSYPT,FSS,PSY,,,,,,,,
+PHDCPSY,FSS,PSY,,,,,,,,
+PHDCPSYPT,FSS,PSY,,,,,,,,
+PHDIOPSY,FSS,PSY,,,,,,,,
+PHDIOPSYPT,FSS,PSY,,,,,,,,
+PHDPSYM,FSS,PSY,,,,,,,,
+PHDPSYMPT,FSS,PSY,,,,,,,,
+PHDSPSY,FSS,PSY,,,,,,,,
+PHDSPSYPT,FSS,PSY,,,,,,,,