Index: main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_24.csv
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_24.csv	(revision 17950)
+++ main/waeup.aaue/trunk/src/waeup/aaue/students/schoolfees_24.csv	(revision 17956)
@@ -1,18 +1,18 @@
 code,faculty_code,department_code,tuition,edohis,union,access,accredit,sport,lmsplus,union_pt
-CERT1,FAG,ANS,,,,,,,,
-BAGRANS-,FAG,ANS,,,,,,,,
-BAGRCRS-,FAG,CRS,,,,,,,,
-BAGREES-,FAG,EES,,,,,,,,
-BAGRSOS-,FAG,SOS,,,,,,,,
-BAENG-,FAT,ENG,,,,,,,,
-BAFRN-,FAT,FRN,,,,,,,,
-BAHIS-,FAT,HIS,,,,,,,,
-BAISD-,FAT,HIS,,,,,,,,
-BAMAC-,FAT,MAC,,,,,,,,
-BAPHI-,FAT,PHI,,,,,,,,
-BARCS-,FAT,RCS,,,,,,,,
-BARST-,FAT,RCS,,,,,,,,
-BATMA-,FAT,TMA,,,,,,,,
-BSCANA-,FBM,ANA,,,,,,,,
+CERT1,FAG,ANS,184000,16000,30000,4500,3000,3000,100_20000,
+BAGRANS-,FAG,ANS,168000,16000,1000,4500,3000,3000,100_20000,
+BAGRCRS-,FAG,CRS,168000,16000,1000,4500,3000,3000,100_20000,
+BAGREES-,FAG,EES,168000,16000,1000,4500,3000,3000,100_20000,
+BAGRSOS-,FAG,SOS,168000,16000,1000,4500,3000,3000,100_20000,
+BAENG-,FAT,ENG,157250,16000,1000,4500,3000,3000,100_20000,
+BAFRN-,FAT,FRN,157250,16000,1000,4500,3000,3000,100_20000,
+BAHIS-,FAT,HIS,157250,16000,1000,4500,3000,3000,100_20000,
+BAISD-,FAT,HIS,157250,16000,1000,4500,3000,3000,100_20000,
+BAMAC-,FAT,MAC,192250,16000,1000,4500,3000,3000,100_20000,
+BAPHI-,FAT,PHI,157250,16000,1000,4500,3000,3000,100_20000,
+BARCS-,FAT,RCS,157250,16000,1000,4500,3000,3000,100_20000,
+BARST-,FAT,RCS,157250,16000,1000,4500,3000,3000,100_20000,
+BATMA-,FAT,TMA,157250,16000,1000,4500,3000,3000,100_20000,
+BSCANA-,FBM,ANA,200000,16000,1000,4500,3000,3000,100_20000,
 BMLS-,FBM,MLS,,,,,,,,
 BMLSCHMP-,FBM,MLS,,,,,,,,
@@ -21,91 +21,91 @@
 BMLSMMCB-,FBM,MLS,,,,,,,,
 BSCNSG-,FBM,NSG,,,,,,,,
-BSCPHS-,FBM,PHS,,,,,,,,
-BSCPYS-,FBM,PYS,,,,,,,,
+BSCPHS-,FBM,PHS,178000,16000,1000,4500,3000,3000,100_20000,
+BSCPYS-,FBM,PYS,178000,16000,1000,4500,3000,3000,100_20000,
 MBBS-,FCS,MED,,,,,,,,
-BEDACC-,FED,BED,,,,,,,,
-BEDOTM-,FED,BED,,,,,,,,
-BEDSEC-,FED,BED,,,,,,,,
-BEDBIO-,FED,CAI,,,,,,,,
-BEDCHM-,FED,CAI,,,,,,,,
-BEDCSC-,FED,CAI,,,,,,,,
-BEDENG-,FED,CAI,,,,,,,,
-BEDFRN-,FED,CAI,,,,,,,,
-BEDMTH-,FED,CAI,,,,,,,,
-BEDPHY-,FED,CAI,,,,,,,,
-BEDPPE-,FED,CAI,,,,,,,,
-BEDSSE-,FED,CAI,,,,,,,,
-CAI-,FED,CAI,,,,,,,,
-BEDEDM-,FED,EFM,,,,,,,,
-BEDHIS-,FED,EFM,,,,,,,,
-BEDRSE-,FED,EFM,,,,,,,,
-EFM-,FED,EFM,,,,,,,,
-BEDECO-,FED,GAC,,,,,,,,
-BEDGAC-,FED,GAC,,,,,,,,
-BEDGEO-,FED,GAC,,,,,,,,
-BEDPOL-,FED,GAC,,,,,,,,
-BEDHED-,FED,HKH,,,,,,,,
-BEDHKE-,FED,HKH,,,,,,,,
-BEDPHE-,FED,HKH,,,,,,,,
-BSCLIS-,FED,LIS,,,,,,,,
-BEDAGR-,FED,VTE,,,,,,,,
-BEDHECO-,FED,VTE,,,,,,,,
-BEDTEC-,FED,VTE,,,,,,,,
-VTE-,FED,VTE,,,,,,,,
-BSCARC-,FES,ARC,,,,,,,,
-BSCBLD-,FES,BLD,,,,,,,,
-BFA-,FES,FAA,,,,,,,,
-BFAGRH-,FES,FAA,,,,,,,,
-BFAPNT-,FES,FAA,,,,,,,,
-BFASC-,FES,FAA,,,,,,,,
-BFATD-,FES,FAA,,,,,,,,
-BSCFAA-,FES,FAA,,,,,,,,
-BSCGEM-,FES,GEM,,,,,,,,
-BSCGRP-,FES,GEM,,,,,,,,
-BENGAGE-,FET,AGE,,,,,,,,
-BENGCIE-,FET,CIE,,,,,,,,
-BENGELE-,FET,ELE,,,,,,,,
-BENGIPE-,FET,IPE,,,,,,,,
-BENGMPE-,FET,IPE,,,,,,,,
-BENGPE-,FET,IPE,,,,,,,,
-BENGMEE-,FET,MEE,,,,,,,,
-BENGMME-,FET,MME,,,,,,,,
-BSCBCH-,FLS,BCH,,,,,,,,
-BSCBOT-,FLS,BOT,,,,,,,,
-BSCHND-,FLS,HND,,,,,,,,
-BSCMCB-,FLS,MCB,,,,,,,,
-BSCPSB-,FLS,PSB,,,,,,,,
-BSCZOO-,FLS,ZOO,,,,,,,,
-LLB-,FLW,LAW,,,,,,,,
-BSCACC-,FMS,ACC,,,,,,,,
-BSCBAF-,FMS,BAF,,,,,,,,
-BSCBUS-,FMS,BUS,,,,,,,,
-BSCPUB-,FMS,PUB,,,,,,,,
-BSCCHM-,FPS,CHM,,,,,,,,
-BSCICH-,FPS,CHM,,,,,,,,
-BSCCSC-,FPS,CSC,,,,,,,,
-BSCIMTH-,FPS,MTH,,,,,,,,
-BSCMTH-,FPS,MTH,,,,,,,,
-BSCSTA-,FPS,MTH,,,,,,,,
-BSCAPHY-,FPS,PHY,,,,,,,,
-BSCPHY-,FPS,PHY,,,,,,,,
-BSCECO-,FSS,ECO,,,,,,,,
-BSCPOL-,FSS,POL,,,,,,,,
-BSCPSY-,FSS,PSY,,,,,,,,
-BSCSOC-,FSS,SOC,,,,,,,,
-BAGRANS,FAG,ANS,,,,,,,,
-BAGRCRS,FAG,CRS,,,,,,,,
-BAGREES,FAG,EES,,,,,,,,
-BAGRSOS,FAG,SOS,,,,,,,,
-BAENG,FAT,ENG,,,,,,,,
-BAFRN,FAT,FRN,,,,,,,,
-BAHIS,FAT,HIS,,,,,,,,
-BAISD,FAT,HIS,,,,,,,,
-BAMAC,FAT,MAC,,,,,,,,
-BAPHI,FAT,PHI,,,,,,,,
-BARCS,FAT,RCS,,,,,,,,
-BARST,FAT,RCS,,,,,,,,
-BATMA,FAT,TMA,,,,,,,,
-BSCANA,FBM,ANA,,,,,,,,
+BEDACC-,FED,BED,170000,16000,1000,4500,3000,3000,100_20000,
+BEDOTM-,FED,BED,170000,16000,1000,4500,3000,3000,100_20000,
+BEDSEC-,FED,BED,170000,16000,1000,4500,3000,3000,100_20000,
+BEDBIO-,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDCHM-,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDCSC-,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDENG-,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDFRN-,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDMTH-,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDPHY-,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDPPE-,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDSSE-,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+CAI-,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDEDM-,FED,EFM,170000,16000,1000,4500,3000,3000,100_20000,
+BEDHIS-,FED,EFM,170000,16000,1000,4500,3000,3000,100_20000,
+BEDRSE-,FED,EFM,170000,16000,1000,4500,3000,3000,100_20000,
+EFM-,FED,EFM,170000,16000,1000,4500,3000,3000,100_20000,
+BEDECO-,FED,GAC,170000,16000,1000,4500,3000,3000,100_20000,
+BEDGAC-,FED,GAC,170000,16000,1000,4500,3000,3000,100_20000,
+BEDGEO-,FED,GAC,170000,16000,1000,4500,3000,3000,100_20000,
+BEDPOL-,FED,GAC,170000,16000,1000,4500,3000,3000,100_20000,
+BEDHED-,FED,HKH,170000,16000,1000,4500,3000,3000,100_20000,
+BEDHKE-,FED,HKH,170000,16000,1000,4500,3000,3000,100_20000,
+BEDPHE-,FED,HKH,170000,16000,1000,4500,3000,3000,100_20000,
+BSCLIS-,FED,LIS,160250,16000,1000,4500,3000,3000,100_20000,
+BEDAGR-,FED,VTE,170000,16000,1000,4500,3000,3000,100_20000,
+BEDHECO-,FED,VTE,170000,16000,1000,4500,3000,3000,100_20000,
+BEDTEC-,FED,VTE,170000,16000,1000,4500,3000,3000,100_20000,
+VTE-,FED,VTE,170000,16000,1000,4500,3000,3000,100_20000,
+BSCARC-,FES,ARC,183500,16000,1000,4500,3000,3000,100_20000,
+BSCBLD-,FES,BLD,183500,16000,1000,4500,3000,3000,100_20000,
+BFA-,FES,FAA,167250,16000,1000,4500,3000,3000,100_20000,
+BFAGRH-,FES,FAA,167250,16000,1000,4500,3000,3000,100_20000,
+BFAPNT-,FES,FAA,167250,16000,1000,4500,3000,3000,100_20000,
+BFASC-,FES,FAA,167250,16000,1000,4500,3000,3000,100_20000,
+BFATD-,FES,FAA,167250,16000,1000,4500,3000,3000,100_20000,
+BSCFAA-,FES,FAA,167250,16000,1000,4500,3000,3000,100_20000,
+BSCGEM-,FES,GEM,167250,16000,1000,4500,3000,3000,100_20000,
+BSCGRP-,FES,GEM,167250,16000,1000,4500,3000,3000,100_20000,
+BENGAGE-,FET,AGE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGCIE-,FET,CIE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGELE-,FET,ELE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGIPE-,FET,IPE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGMPE-,FET,IPE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGPE-,FET,IPE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGMEE-,FET,MEE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGMME-,FET,MME,217500,16000,1000,4500,3000,3000,100_20000,
+BSCBCH-,FLS,BCH,173000,16000,1000,4500,3000,3000,100_20000,
+BSCBOT-,FLS,BOT,173000,16000,1000,4500,3000,3000,100_20000,
+BSCHND-,FLS,HND,173000,16000,1000,4500,3000,3000,100_20000,
+BSCMCB-,FLS,MCB,178000,16000,1000,4500,3000,3000,100_20000,
+BSCPSB-,FLS,PSB,173000,16000,1000,4500,3000,3000,100_20000,
+BSCZOO-,FLS,ZOO,173000,16000,1000,4500,3000,3000,100_20000,
+LLB-,FLW,LAW,330500,16000,1000,4500,3000,3000,100_20000,
+BSCACC-,FMS,ACC,210750,16000,1000,4500,3000,3000,100_20000,
+BSCBAF-,FMS,BAF,186250,16000,1000,4500,3000,3000,100_20000,
+BSCBUS-,FMS,BUS,186250,16000,1000,4500,3000,3000,100_20000,
+BSCPUB-,FMS,PUB,186250,16000,1000,4500,3000,3000,100_20000,
+BSCCHM-,FPS,CHM,198000,16000,1000,4500,3000,3000,100_20000,
+BSCICH-,FPS,CHM,198000,16000,1000,4500,3000,3000,100_20000,
+BSCCSC-,FPS,CSC,200500,16000,1000,4500,3000,3000,100_20000,
+BSCIMTH-,FPS,MTH,173000,16000,1000,4500,3000,3000,100_20000,
+BSCMTH-,FPS,MTH,173000,16000,1000,4500,3000,3000,100_20000,
+BSCSTA-,FPS,MTH,173000,16000,1000,4500,3000,3000,100_20000,
+BSCAPHY-,FPS,PHY,173000,16000,1000,4500,3000,3000,100_20000,
+BSCPHY-,FPS,PHY,173000,16000,1000,4500,3000,3000,100_20000,
+BSCECO-,FSS,ECO,181000,16000,1000,4500,3000,3000,100_20000,
+BSCPOL-,FSS,POL,167250,16000,1000,4500,3000,3000,100_20000,
+BSCPSY-,FSS,PSY,167250,16000,1000,4500,3000,3000,100_20000,
+BSCSOC-,FSS,SOC,167250,16000,1000,4500,3000,3000,100_20000,
+BAGRANS,FAG,ANS,168000,16000,1000,4500,3000,3000,100_20000,
+BAGRCRS,FAG,CRS,168000,16000,1000,4500,3000,3000,100_20000,
+BAGREES,FAG,EES,168000,16000,1000,4500,3000,3000,100_20000,
+BAGRSOS,FAG,SOS,168000,16000,1000,4500,3000,3000,100_20000,
+BAENG,FAT,ENG,157250,16000,1000,4500,3000,3000,100_20000,
+BAFRN,FAT,FRN,157250,16000,1000,4500,3000,3000,100_20000,
+BAHIS,FAT,HIS,157250,16000,1000,4500,3000,3000,100_20000,
+BAISD,FAT,HIS,157250,16000,1000,4500,3000,3000,100_20000,
+BAMAC,FAT,MAC,192250,16000,1000,4500,3000,3000,100_20000,
+BAPHI,FAT,PHI,157250,16000,1000,4500,3000,3000,100_20000,
+BARCS,FAT,RCS,157250,16000,1000,4500,3000,3000,100_20000,
+BARST,FAT,RCS,157250,16000,1000,4500,3000,3000,100_20000,
+BATMA,FAT,TMA,157250,16000,1000,4500,3000,3000,100_20000,
+BSCANA,FBM,ANA,200000,16000,1000,4500,3000,3000,100_20000,
 BMLS,FBM,MLS,,,,,,,,
 BMLSCHMP,FBM,MLS,,,,,,,,
@@ -114,77 +114,77 @@
 BMLSMMCB,FBM,MLS,,,,,,,,
 BSCNSG,FBM,NSG,,,,,,,,
-BSCPHS,FBM,PHS,,,,,,,,
-BSCPYS,FBM,PYS,,,,,,,,
+BSCPHS,FBM,PHS,178000,16000,1000,4500,3000,3000,100_20000,
+BSCPYS,FBM,PYS,178000,16000,1000,4500,3000,3000,100_20000,
 MBBS,FCS,MED,,,,,,,,
-BEDACC,FED,BED,,,,,,,,
-BEDOTM,FED,BED,,,,,,,,
-BEDSEC,FED,BED,,,,,,,,
-BEDBIO,FED,CAI,,,,,,,,
-BEDCHM,FED,CAI,,,,,,,,
-BEDCSC,FED,CAI,,,,,,,,
-BEDENG,FED,CAI,,,,,,,,
-BEDFRN,FED,CAI,,,,,,,,
-BEDMTH,FED,CAI,,,,,,,,
-BEDPHY,FED,CAI,,,,,,,,
-BEDPPE,FED,CAI,,,,,,,,
-BEDSSE,FED,CAI,,,,,,,,
-CAI,FED,CAI,,,,,,,,
-BEDEDM,FED,EFM,,,,,,,,
-BEDHIS,FED,EFM,,,,,,,,
-BEDRSE,FED,EFM,,,,,,,,
-EFM,FED,EFM,,,,,,,,
-BEDECO,FED,GAC,,,,,,,,
-BEDGAC,FED,GAC,,,,,,,,
-BEDGEO,FED,GAC,,,,,,,,
-BEDPOL,FED,GAC,,,,,,,,
-BEDHED,FED,HKH,,,,,,,,
-BEDHKE,FED,HKH,,,,,,,,
-BEDPHE,FED,HKH,,,,,,,,
-BSCLIS,FED,LIS,,,,,,,,
-BEDAGR,FED,VTE,,,,,,,,
-BEDHECO,FED,VTE,,,,,,,,
-BEDTEC,FED,VTE,,,,,,,,
-VTE,FED,VTE,,,,,,,,
-BSCARC,FES,ARC,,,,,,,,
-BSCBLD,FES,BLD,,,,,,,,
-BFA,FES,FAA,,,,,,,,
-BFAGRH,FES,FAA,,,,,,,,
-BFAPNT,FES,FAA,,,,,,,,
-BFASC,FES,FAA,,,,,,,,
-BFATD,FES,FAA,,,,,,,,
-BSCFAA,FES,FAA,,,,,,,,
-BSCGEM,FES,GEM,,,,,,,,
-BSCGRP,FES,GEM,,,,,,,,
-BENGAGE,FET,AGE,,,,,,,,
-BENGCIE,FET,CIE,,,,,,,,
-BENGELE,FET,ELE,,,,,,,,
-BENGIPE,FET,IPE,,,,,,,,
-BENGMPE,FET,IPE,,,,,,,,
-BENGPE,FET,IPE,,,,,,,,
-BENGMEE,FET,MEE,,,,,,,,
-BENGMME,FET,MME,,,,,,,,
-BSCBCH,FLS,BCH,,,,,,,,
-BSCBOT,FLS,BOT,,,,,,,,
-BSCHND,FLS,HND,,,,,,,,
-BSCMCB,FLS,MCB,,,,,,,,
-BSCPSB,FLS,PSB,,,,,,,,
-BSCZOO,FLS,ZOO,,,,,,,,
-LLB,FLW,LAW,,,,,,,,
-BSCACC,FMS,ACC,,,,,,,,
-BSCBAF,FMS,BAF,,,,,,,,
-BSCBUS,FMS,BUS,,,,,,,,
-BSCPUB,FMS,PUB,,,,,,,,
-BSCCHM,FPS,CHM,,,,,,,,
-BSCICH,FPS,CHM,,,,,,,,
-BSCCSC,FPS,CSC,,,,,,,,
-BSCIMTH,FPS,MTH,,,,,,,,
-BSCMTH,FPS,MTH,,,,,,,,
-BSCSTA,FPS,MTH,,,,,,,,
-BSCAPHY,FPS,PHY,,,,,,,,
-BSCPHY,FPS,PHY,,,,,,,,
-BSCECO,FSS,ECO,,,,,,,,
-BSCPOL,FSS,POL,,,,,,,,
-BSCPSY,FSS,PSY,,,,,,,,
-BSCSOC,FSS,SOC,,,,,,,,
+BEDACC,FED,BED,170000,16000,1000,4500,3000,3000,100_20000,
+BEDOTM,FED,BED,170000,16000,1000,4500,3000,3000,100_20000,
+BEDSEC,FED,BED,170000,16000,1000,4500,3000,3000,100_20000,
+BEDBIO,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDCHM,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDCSC,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDENG,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDFRN,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDMTH,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDPHY,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDPPE,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDSSE,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+CAI,FED,CAI,170000,16000,1000,4500,3000,3000,100_20000,
+BEDEDM,FED,EFM,170000,16000,1000,4500,3000,3000,100_20000,
+BEDHIS,FED,EFM,170000,16000,1000,4500,3000,3000,100_20000,
+BEDRSE,FED,EFM,170000,16000,1000,4500,3000,3000,100_20000,
+EFM,FED,EFM,170000,16000,1000,4500,3000,3000,100_20000,
+BEDECO,FED,GAC,170000,16000,1000,4500,3000,3000,100_20000,
+BEDGAC,FED,GAC,170000,16000,1000,4500,3000,3000,100_20000,
+BEDGEO,FED,GAC,170000,16000,1000,4500,3000,3000,100_20000,
+BEDPOL,FED,GAC,170000,16000,1000,4500,3000,3000,100_20000,
+BEDHED,FED,HKH,170000,16000,1000,4500,3000,3000,100_20000,
+BEDHKE,FED,HKH,170000,16000,1000,4500,3000,3000,100_20000,
+BEDPHE,FED,HKH,170000,16000,1000,4500,3000,3000,100_20000,
+BSCLIS,FED,LIS,160250,16000,1000,4500,3000,3000,100_20000,
+BEDAGR,FED,VTE,170000,16000,1000,4500,3000,3000,100_20000,
+BEDHECO,FED,VTE,170000,16000,1000,4500,3000,3000,100_20000,
+BEDTEC,FED,VTE,170000,16000,1000,4500,3000,3000,100_20000,
+VTE,FED,VTE,170000,16000,1000,4500,3000,3000,100_20000,
+BSCARC,FES,ARC,183500,16000,1000,4500,3000,3000,100_20000,
+BSCBLD,FES,BLD,183500,16000,1000,4500,3000,3000,100_20000,
+BFA,FES,FAA,167250,16000,1000,4500,3000,3000,100_20000,
+BFAGRH,FES,FAA,167250,16000,1000,4500,3000,3000,100_20000,
+BFAPNT,FES,FAA,167250,16000,1000,4500,3000,3000,100_20000,
+BFASC,FES,FAA,167250,16000,1000,4500,3000,3000,100_20000,
+BFATD,FES,FAA,167250,16000,1000,4500,3000,3000,100_20000,
+BSCFAA,FES,FAA,167250,16000,1000,4500,3000,3000,100_20000,
+BSCGEM,FES,GEM,167250,16000,1000,4500,3000,3000,100_20000,
+BSCGRP,FES,GEM,167250,16000,1000,4500,3000,3000,100_20000,
+BENGAGE,FET,AGE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGCIE,FET,CIE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGELE,FET,ELE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGIPE,FET,IPE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGMPE,FET,IPE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGPE,FET,IPE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGMEE,FET,MEE,217500,16000,1000,4500,3000,3000,100_20000,
+BENGMME,FET,MME,217500,16000,1000,4500,3000,3000,100_20000,
+BSCBCH,FLS,BCH,173000,16000,1000,4500,3000,3000,100_20000,
+BSCBOT,FLS,BOT,173000,16000,1000,4500,3000,3000,100_20000,
+BSCHND,FLS,HND,173000,16000,1000,4500,3000,3000,100_20000,
+BSCMCB,FLS,MCB,178000,16000,1000,4500,3000,3000,100_20000,
+BSCPSB,FLS,PSB,173000,16000,1000,4500,3000,3000,100_20000,
+BSCZOO,FLS,ZOO,173000,16000,1000,4500,3000,3000,100_20000,
+LLB,FLW,LAW,330500,16000,1000,4500,3000,3000,100_20000,
+BSCACC,FMS,ACC,210750,16000,1000,4500,3000,3000,100_20000,
+BSCBAF,FMS,BAF,186250,16000,1000,4500,3000,3000,100_20000,
+BSCBUS,FMS,BUS,186250,16000,1000,4500,3000,3000,100_20000,
+BSCPUB,FMS,PUB,186250,16000,1000,4500,3000,3000,100_20000,
+BSCCHM,FPS,CHM,198000,16000,1000,4500,3000,3000,100_20000,
+BSCICH,FPS,CHM,198000,16000,1000,4500,3000,3000,100_20000,
+BSCCSC,FPS,CSC,200500,16000,1000,4500,3000,3000,100_20000,
+BSCIMTH,FPS,MTH,173000,16000,1000,4500,3000,3000,100_20000,
+BSCMTH,FPS,MTH,173000,16000,1000,4500,3000,3000,100_20000,
+BSCSTA,FPS,MTH,173000,16000,1000,4500,3000,3000,100_20000,
+BSCAPHY,FPS,PHY,173000,16000,1000,4500,3000,3000,100_20000,
+BSCPHY,FPS,PHY,173000,16000,1000,4500,3000,3000,100_20000,
+BSCECO,FSS,ECO,181000,16000,1000,4500,3000,3000,100_20000,
+BSCPOL,FSS,POL,167250,16000,1000,4500,3000,3000,100_20000,
+BSCPSY,FSS,PSY,167250,16000,1000,4500,3000,3000,100_20000,
+BSCSOC,FSS,SOC,167250,16000,1000,4500,3000,3000,100_20000,
 LLM,FLW,LAW,,,,,,,,
 LLMCL,FLW,LAW,,,,,,,,